Announcement

Collapse
No announcement yet.

style edit error =>php_value suhosin.post.max_vars

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • style edit error =>php_value suhosin.post.max_vars

    l want to change style (css..)

    but

    Required variables have gone missing and execution can not continue. Please try again.

    This error can sometimes occur as a result of Suhosin / Hardened PHP being installed on your server. If you know that you have Suhosin running and you have access to the PHP configuration, try increasing the value of the following variables:
    • php_value suhosin.post.max_vars
    • php_value suhosin.request.max_vars
    please help me.

    l wrote my hosting firm but he said litespeed


    php 5.4.45

  • #2
    You'll need to ask your host to increase that value or find a new host. This isn't something we can work around.
    Translations provided by Google.

    Wayne Luke
    The Rabid Badger - a vBulletin Cloud demonstration site.
    vBulletin 5 API - Full / Mobile
    Vote for your favorite feature requests and the bugs you want to see fixed.

    Comment


    • #3
      Originally posted by Wayne Luke View Post
      You'll need to ask your host to increase that value or find a new host. This isn't something we can work around.
      l don't have a suhosin
      l have a litespeed

      please help me.

      Comment


      • #4
        Suhosin is a module in PHP and can be used on any server. It allows the webhost to secure PHP better. If you're getting the above error, you have Suhosin and you need to ask your host to adjust the variables. We recommend 1000 variables per form.
        Translations provided by Google.

        Wayne Luke
        The Rabid Badger - a vBulletin Cloud demonstration site.
        vBulletin 5 API - Full / Mobile
        Vote for your favorite feature requests and the bugs you want to see fixed.

        Comment


        • #5
          For all of us who also got this error:

          I also got this error, but no suhosin module was installed. Just add in your php.ini:
          max_input_vars = 1500 Worked for me :-) Perhaps the error message should be formulated different?

          Comment


          • #6
            Originally posted by Joep11 View Post
            For all of us who also got this error:

            I also got this error, but no suhosin module was installed. Just add in your php.ini:
            max_input_vars = 1500 Worked for me :-) Perhaps the error message should be formulated different?
            The error does state that suhosin is "sometimes" the cause...

            Either way, nothing will ever be changed on vBulletin 3 now.

            MARK.B | vBULLETIN SUPPORT

            TalkNewsUK - My vBulletin 5.5.6 Demo
            AdminAmmo - My Cloud Demo

            Comment


            • #7
              I had the error with vBulletin 4.2.4

              Comment


              • #8
                Originally posted by Joep11 View Post
                I had the error with vBulletin 4.2.4
                Well this is a vBulletin 3 thread....

                This is why it's best to put a new thread in, not bump an old one.
                MARK.B | vBULLETIN SUPPORT

                TalkNewsUK - My vBulletin 5.5.6 Demo
                AdminAmmo - My Cloud Demo

                Comment


                • #9
                  OK, I'm sorry.

                  I was looking for information about the error and landed on some threads, this was one of them. I didn't notice it was in the vBulletin 3 section.

                  I'm just spending some time here to help other vBulletin users who have the same problem and can't find the solution to this problem. I hope you guys at vBulletin appreciate it. I know how frustrating it is when you have a problem and you crawl the whole vBulletin site and post the problem looking for a solution and no one can help you.

                  Comment


                  • #10
                    Originally posted by Joep11 View Post
                    OK, I'm sorry.

                    I was looking for information about the error and landed on some threads, this was one of them. I didn't notice it was in the vBulletin 3 section.

                    I'm just spending some time here to help other vBulletin users who have the same problem and can't find the solution to this problem. I hope you guys at vBulletin appreciate it. I know how frustrating it is when you have a problem and you crawl the whole vBulletin site and post the problem looking for a solution and no one can help you.
                    I understand and it's no problem.
                    MARK.B | vBULLETIN SUPPORT

                    TalkNewsUK - My vBulletin 5.5.6 Demo
                    AdminAmmo - My Cloud Demo

                    Comment


                    • #11
                      Hello,

                      Litespeed is the type of webserver your host uses. Suhosin is a 3rd party module that is compiled with php in order to provide better security in shared environments.
                      Any php value set in suhosin configuration file acts as a limitation regardless what value is set in php.ini.
                      With other words, certain variables are "protected" from value​ overwrite (because of security reasons) and the only way to perform a variable value change is within the suhosin configuration file.

                      Kind regards,
                      George.

                      Comment

                      widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                      Working...
                      X